
import java.util.Scanner;


/**
 * This app solicts an integer value from the user using console-based input and
 * output.
 * 
 * @author [INSERT YOUR NAME HERE]
 * 
 */
public class Question01 {

	public static void main(String[] args) {
		/*
		 * In this question, you will perform a variety of tasks that involve
		 * the use of console-based input to prompt the user for various data
		 * values.
		 * 
		 * REFERENCE: Section 2.2.5 pp.68-70
		 */

		/*
		 * Task 1: Creating a Scanner object. Below there is a statement to
		 * declare a variable called "input". The next statement instantiates a
		 * Scanner object uses a constructor from the Scanner class. The value
		 * that is being assigned to the varaible input is the reference (memory
		 * location) of the Scanner object in run-time memory. To use the
		 * services of the Scanner class, you will need to import the class from
		 * the java.util package (and NOT the type.util package, please). Add
		 * the correct import statement above.
		 * 
		 * You may model your solution after the code provided in the textbook
		 */

		Scanner input;
		input = new Scanner(System.in);

		/*
		 * Task 2: Comprehension Questions: Examine the APIs for the System and
		 * Scanner classese. (The URL for the API for the Java Class Library can
		 * found on the course website, under "Labs")
		 * 
		 * Q1: What is the type of the value of the attribute "in"? To find out,
		 * highlight the attribute and press F2. Eclipse will display a info box
		 * about the attribute. Another way is to look in API for the class
		 * called "System" in the package java.lang. Look in the "Field Summary"
		 * section of the API.
		 * 
		 * Q2: Now look up the API for the Scanner class. How many constructors
		 * are defined in the class Scanner?
		 * 
		 * Q3: Can you identify which Scanner constructor is being used?
		 * 
		 * 
		 * What is the type of the attributed "out"?
		 */



		/*
		 * Task 3: Comprehension Question: Are you clear on the difference
		 * between the *object* and the *object reference*? Explain the
		 * difference.
		 */


		/*
		 * Task 4: add statements to prompt the user for an integer and then
		 * read in and store the typed value in a variable called "value1" Run
		 * the code and check that it works
		 */


		/*
		 * Task 5: Trigger an error by typing in a double value instead of an
		 * int. Locate the nextInt() method in the API for the Scanner class and
		 * read the documentation. What does the documentation say about this
		 * situation? The default radix of the scanner is base 10. Does it match
		 * the observed program behaviour?
		 */


		/*
		 * Task 6: Declare an int variable called "remainder". Construct an
		 * arithmetic expression that calculates the remainder of value1
		 * quotient 2 (the value modulo 2). The remainder should be 0 for even
		 * integeres and 1 for odd integers. Run the code repeatedly to test for
		 * different values (including 0 and negative values). Learn the
		 * short-cut for running the app (shift-ctrl-F11)
		 */

		/*
		 * Task 7: Declare an boolean variable called "isEven". The equality
		 * operator is "==" and tests whether the operand on the left is equal
		 * to the operand on the right (or not). It returns a boolean value of
		 * true or false, respectively. Construct a boolean expression that
		 * determines whether value1 is an even number or not. Store the outcome
		 * of the test in the boolean variable. Print out the value.
		 */


		/*
		 * Task 8:
		 * 
		 * Use the service called "crash" in ToolBox to abruptly terminate the
		 * app if user entered an even number. Tell the user that they should
		 * have entered an odd number. If the user entered an odd number, print
		 * a message to the console thanking them. (Consult Question12 from the
		 * last lab exercises).
		 */


	}
}
